package org.tio.sitexxx.service.service.pay.exception;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-11-26 11:38
 *    desc   :
 * </pre>
 */
public class NCountException extends Exception {
    /**
     *
     */
    private static final long serialVersionUID = -7121642511651992156L;

    /**
     * 模块名，抛出异常的类
     */
    @SuppressWarnings("rawtypes")
    protected Class errClass = null;

    /**
     * 错误码
     */
    protected String errCode = null;

    /**
     * 错误描述信息
     */
    protected String errMsg = null;

    public NCountException() {
        super();
    }

    public NCountException(String errMsg) {
        super("no errMsg");
        this.errMsg = errMsg;
    }

    public NCountException(String errMsg, Exception e) {
        super("no errMsg", e);
        this.errMsg = errMsg;
    }

    public NCountException(String errCode, String errMsg) {
        super(errMsg);
        this.errCode = errCode;
        this.errMsg = errMsg;
    }

    public NCountException(String errCode, String errMsg, Exception e) {
        super(errMsg, e);
        this.errCode = errCode;
        this.errMsg = errMsg;
    }

    @SuppressWarnings("rawtypes")
    public NCountException(String errCode, Class errClass) {
        super("no errMsg");
        this.errCode = errCode;
        this.errClass = errClass;
    }

    @SuppressWarnings("rawtypes")
    public NCountException(String errCode, String errMsg, Class errClass) {
        super(errMsg);
        this.errCode = errCode;
        this.errMsg = errMsg;
        this.errClass = errClass;
    }

    @SuppressWarnings("rawtypes")
    public NCountException(String errCode, String errMsg, Class errClass, Exception e) {
        super(errMsg, e);
        this.errClass = errClass;
        this.errCode = errCode;
        this.errMsg = errMsg;
    }

    @SuppressWarnings("rawtypes")
    public Class getErrClass() {
        return errClass;
    }

    public String getErrCode() {
        return errCode;
    }
}

